Subject: [Sip] RE: [Sipping] SIP-Specific Event Notification-query?

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 19 Sep 2001 02:08:53 -0400

On a related note, I think that this text is wrong regarding increasing
duration	. The bit about not making the subscription duration longer
is legacy from the days when registration durations could not be made
longer. But, for reasons of protecting against overload, we now allow a
registrar to increase the duration. I think the same should go for
subscribe.

-Jonathan R.

---
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]
> Sent: Wednesday, September 12, 2001 10:29 AM
> To: [email-masked]
> Subject: [Sipping] SIP-Specific Event Notification-query?
> 
> 
> Hi,
> I was reading the "SIP-Specific Event Notification" draft and 
> I found that
> in section 5.1.2 it says:
> 
> "200-class responses to SUBSCRIBE requests also MUST contain an
>      "Expires" header. The period of time in the response MAY be
>      shorter than specified in the request, but MUST NOT be longer.
>      The period of time in the response is the one which defines the
>      duration of the subscription."
> 
> and in 5.1.5.1 it says:
> 
> "The "Expires" header in a 200-class response to SUBSCRIBE
>      indicates the actual duration for which the subscription will
>      remain active (unless refreshed)."
> 
> An then, in section 5.1.7.1  it says -Here is where I get lost!! :-) :
> 
> "200-class responses to SUBSCRIBE requests will not generally
>      contain any useful information beyond subscription duration;
>      their primary purpose is to serve as a reliability mechanism.
>      State information will be communicated via a subsequent NOTIFY
>      request from the notifier."
> 
> 
> Do 200-class responses to SUBSCRIBE request contain or not useful
> information regarding subscription duration?
> 
> Thanks,
> BR,
> Queca
> 
> _______________________________________________
> Sipping mailing list  http://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP
> 

_______________________________________________
Sip mailing list  http://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip